# $Revision: 1.67 $, $Date: 2012/02/12 12:29:40 $
# TODO
# - man -l pam_mount.8 | perl -pe 's/.\cH//g' >pam_mount.txt;
#   man: invalid option -- 'l'
#   man, version 1.6f
%define 	modulename pam_mount
Summary:	A PAM module that can mount remote volumes for a user session
Summary(pl.UTF-8):	Moduł PAM, pozwalający montować zdalne zasoby na czas sesji użytkownika
Name:		pam-%{modulename}
Version:	2.13
Release:	1
License:	LGPL
Group:		Base
Source0:	http://downloads.sourceforge.net/pam-mount/%{modulename}-%{version}.tar.xz
# Source0-md5:	9f75fc8e84ea9cde619cdd6a62c7de33
Source1:	%{name}.tmpfiles
URL:		http://pam-mount.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cryptsetup-luks-devel >= 1.1.2
BuildRequires:	glib2-devel
BuildRequires:	libHX-devel >= 3.6
BuildRequires:	libmount-devel >= 2.20
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Obsoletes:	pam_mount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is aimed to environments with SMB (Samba or Windows NT)
and/or NCP (Netware or Mars-NWE) servers that Unix users want or need
to access, and some users have / every user has private volumes in
that servers. The module also supports mounting home directories using
loopback encrypted filesystems (see also
http://www.tldp.org/HOWTO/Loopback-Encrypted-Filesystem-HOWTO.html).
 - Every user can access his/her own volumes
 - The user needs to type the password just once (at login) (*)
 - The mouting process is transparent to the users
 - There is no need to keep the login passwords in any additional file
 - The volumes are unmount upon logout, so it saves system resources,
   avoiding the need of listing every every possibly useful remote volume
   in /etc/fstab or in an automount/supermount config file. This is also
   necessary for securing encrypted filesystems.

(*) Obviously, the user password in the Unix system and in the remote
servers must be the same ;)

Pam_mount "understands" SMB, NCP, and encrypted loopback volumes, but
this can be extended very easily.

%description -l pl.UTF-8
Przeznaczeniem tego modułu są środowiska z protokołem SMB (Samba lub
Windows NT) i/lub NCP (Netware lub Mars-NWE), w których użytkownicy
chcą lub potrzebują indywidualnych zasobów. Moduł ten wspiera także
montowanie katalogów domowych z zaszyfrowanych systemów plików przy
użyciu loopbacka (zobacz także:
http://www.tldp.org/HOWTO/Loopback-Encrypted-Filesystem-HOWTO.html).
 - każdy użytkownik ma dostęp do swoich zasobów
 - użytkownik musi wpisać swoje hasło tylko raz (przy logowaniu) (*)
 - proces montowania jest niewidzialny dla użytkownika
 - nie ma potrzeby trzymania hasła i loginu w żadnym dodatkowym pliku
 - katalogi są odmontowywane podczas wylogowania, co oszczędza zasoby
   systemowe, zabezpiecza przed koniecznością umieszczenia każdego
   potrzebnego zdalnego zasobu w /etc/fstab lub w konfiguracji
   automounta/supermounta. Jest to także konieczne do zabezpieczenia
   zaszyfrowanych systemów plików.

(*) Oczywiście hasło na lokalnym i zdalnym systemie musi być
identyczne ;)

pam_mount "rozumie" SMB, NCP oraz zaszyfrowane systemy plików po
loopbacku, ale może być rozszerzony w prosty sposób.

%package -n libcryptmount
Summary:	libcryptmount library
Summary(pl.UTF-8):	Biblioteka libcryptmount
Group:		Libraries

%description -n libcryptmount
libcryptmount library.

%description -n libcryptmount -l pl.UTF-8
Biblioteka libcryptmount

%package -n libcryptmount-devel
Summary:	Header files for libcryptmount library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcryptmount
Group:		Development/Libraries
Requires:	libcryptmount = %{version}-%{release}

%description -n libcryptmount-devel
Header files for libcryptmount library.

%description -n libcryptmount-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcryptmount.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-slibdir=/%{_lib} \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/security,/sbin,/var/run/pam_mount,%{_bindir}} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} -j1 install \
	moduledir=/%{_lib}/security \
	DESTDIR=$RPM_BUILD_ROOT

cp -a config/pam_mount.conf.xml $RPM_BUILD_ROOT/etc/security
ln -sf /sbin/mount.crypt $RPM_BUILD_ROOT%{_bindir}/mount.crypt

install %{SOURCE1} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/pam_mount.conf

rm $RPM_BUILD_ROOT%{_libdir}/libcryptmount.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n libcryptmount -p /sbin/ldconfig
%postun -n libcryptmount -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_mount.so
%config(noreplace) %verify(not md5 mtime size) /etc/security/pam_mount.conf.xml
%attr(755,root,root) /sbin/mount.crypt
%attr(755,root,root) /sbin/mount.crypt_LUKS
%attr(755,root,root) /sbin/mount.crypto_LUKS
%attr(755,root,root) /sbin/umount.crypt
%attr(755,root,root) /sbin/umount.crypt_LUKS
%attr(755,root,root) /sbin/umount.crypto_LUKS
%attr(755,root,root) %{_bindir}/mount.crypt
%attr(755,root,root) %{_sbindir}/pmt-ehd
%attr(755,root,root) %{_sbindir}/pmvarrun
%dir /var/run/pam_mount
%{systemdtmpfilesdir}/pam_mount.conf
%{_mandir}/man5/pam_mount.conf.5*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*

%files -n libcryptmount
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptmount.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcryptmount.so.0

%files -n libcryptmount-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptmount.so
%{_includedir}/libcryptmount.h
%{_pkgconfigdir}/libcryptmount.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_mount.spec,v $
Revision 1.67  2012/02/12 12:29:40  adamg
- updated to 2.13
- pass slibdir
- separate libcryptmount library
- adapterized

Revision 1.66  2012/02/12 08:20:03  arekm
- release 5

Revision 1.65  2012/02/09 00:16:10  adamg
- release 4 (rebuild against libHX-3.12)

Revision 1.64  2012/01/31 11:53:53  baggins
- release 3

Revision 1.63  2012/01/31 11:31:54  baggins
- added tmpfiles config for systemd

Revision 1.62  2011/11/26 21:49:36  arekm
- release 2

Revision 1.61  2011/10/10 08:24:11  lisu
- 2.12

Revision 1.60  2011/10/06 12:30:15  arekm
- up to 2.11

Revision 1.59  2011/04/21 11:58:43  lisu
- updated to 2.10

Revision 1.58  2011/04/07 15:29:06  lisu
- BR: xz >= 1:4.999.7

Revision 1.57  2011/04/07 15:27:49  lisu
- updated to 2.9

Revision 1.56  2011/04/07 15:20:20  lisu
- rel 2

Revision 1.55  2010/12/22 12:36:33  lisu
- 2.8

Revision 1.54  2010/12/10 08:14:51  lisu
- up to 2.7
- drop obsoleted rm

Revision 1.53  2010/10/31 22:05:29  glen
- up to 2.6
- pmt-ofl, pmt-fd0ssh dropped, use hxtools if you need them

Revision 1.52  2010/09/20 17:28:41  glen
- release 2

Revision 1.51  2010/08/11 07:07:53  lisu
- cryptsetup-luks -> cryptsetup-luks-devel

Revision 1.50  2010/08/11 07:01:03  lisu
- up to 2.5
- BR: cryptsetup-luks >= 1.1.2

Revision 1.49  2010/07/19 14:31:22  lisu
- up to 2.4
- tar.xz package

Revision 1.48  2010/04/13 07:19:59  lisu
- 1.36

Revision 1.47  2010/04/11 23:52:14  glen
- up to 1.35, package /var/run/pam_mount dir

Revision 1.46  2010/04/08 07:30:30  lisu
- 1.34
- requires libHX-devel 3.4 or up

Revision 1.45  2010/01/21 14:18:11  lisu
- 1.33

Revision 1.44  2009/09/29 10:58:17  lisu
- 1.32

Revision 1.43  2009/09/09 11:44:40  lisu
- 1.31

Revision 1.42  2009/09/02 06:27:37  arekm
- release 2

Revision 1.41  2009/08/27 13:52:08  lisu
- up to 1.30

Revision 1.40  2009/08/23 11:10:23  gzohop
- BR libHX >= 2.8

Revision 1.39  2009/08/22 19:47:48  gzohop
- up to 1.27

Revision 1.38  2009/04/21 12:38:42  glen
- R: libcrypto >= 0.9.8

Revision 1.37  2009/03/26 22:58:55  qboosh
- man files fix

Revision 1.36  2009/02/26 06:31:44  glen
- -I m4 to catch CHECK_GCC_FVISIBILITY macro; rel 2

Revision 1.35  2009/02/26 06:19:30  glen
- up to 1.18, verbose files (again), or manuals not installed for programs

Revision 1.34  2009/02/22 10:31:31  arekm
- release 2

Revision 1.33  2008/11/04 18:11:18  qboosh
- BR: lzma

Revision 1.32  2008/11/02 23:07:32  arekm
- up to 1.2

Revision 1.31  2008/11/02 21:26:19  arekm
- release 2

Revision 1.30  2008/03/03 10:04:31  arekm
- up to 0.33

Revision 1.29  2007-12-12 14:49:02  pascalek
- updated to 0.32

Revision 1.28  2007-02-13 07:16:51  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.26  2007/01/13 15:48:04  alucard
- build fixes (symlinks creation, --disable-static instead of removing *.a)

Revision 1.25  2007/01/09 20:15:40  glen
- reverted, mount.crypt points to nowhere

Revision 1.24  2007/01/09 19:14:25  glen
- re-add /sbin/mount.crypt, damn symlinks

Revision 1.23  2007/01/09 18:58:07  glen
- kill mount_ehd

Revision 1.22  2007/01/09 18:37:57  glen
- package man1/mkehd.1, verbose files

Revision 1.21  2007/01/09 18:22:38  alucard
- version up to 0.18

Revision 1.20  2006/05/25 06:10:25  ankry
- s/mountowac/montowac/g

Revision 1.19  2006/05/25 00:58:38  zbyniu
- up to 0.13.0, new URL and source, obsoleted patches removed

Revision 1.18  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.17  2004/11/24 10:20:38  ankry
- rel. 2

Revision 1.16  2004/11/24 10:18:21  marcus
- fixed(?) build on 64bit archs

Revision 1.15  2004/11/23 22:46:27  marcus
- fixed %files and linking,stbr?

Revision 1.14  2004/11/23 22:17:08  marcus
- updated to 0.9.20, need fixing.

Revision 1.13  2004/08/19 01:11:09  undefine
- release 3

Revision 1.12  2004/08/19 01:08:37  undefine
- fix moduledir

Revision 1.11  2004/08/19 00:33:37  undefine
- typo

Revision 1.10  2004/08/19 00:27:32  undefine
- try use our lib/security, mayby it help on amd64...

Revision 1.9  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.8  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.7  2003/11/25 19:36:34  qboosh
- added types patch (fixes build on alpha)
- Obsoletes for old package name without macro
- release 2

Revision 1.6  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.5  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.4  2003/11/25 14:28:34  siefca
- openssl back to requires, oops

Revision 1.3  2003/11/25 14:26:50  siefca
- version: 0.9.0

Revision 1.2  2003/11/25 14:08:28  siefca
- fixes in sources' names

Revision 1.1  2003/11/25 13:40:21  siefca
- leaded common naming conventions for PAM module packages

Revision 1.17  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.16  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/20 13:23:32  misi3k
- updated to 0.5.16

Revision 1.11  2003/04/13 22:08:41  qboosh
- BR: libtool

Revision 1.10  2003/04/13 18:21:25  misi3k
- updated to 0.5.13

Revision 1.9  2003/02/13 14:05:22  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.8  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/09/16 13:45:08  lukasz
- added "define date" line

Revision 1.6  2002/08/24 18:27:12  kloczek
- updated to 0.3.8.

Revision 1.5  2002/08/13 18:22:39  qboosh
- pl fixes, release 2

Revision 1.4  2002/08/13 14:49:57  blues
- INSTALL was standard file

Revision 1.3  2002/08/13 14:48:08  blues
- url added

Revision 1.2  2002/08/13 14:44:42  blues
- translation, many cleanups, more BR; STBR

Revision 1.1  2002/08/10 13:41:19  areq
- 0.3.6
- init PLD spec
